#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define srcname ktp-contact-list
%define with_kpeople 1

Summary:        Telepathy contact list application
Name:           telepathy-kde-contact-list
Version: 23.04.3
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://cgit.kde.org/ktp-contact-list.git
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
BuildRequires:  cmake(TelepathyQt5)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KCMUtils)

%if %{with_kpeople}
BuildRequires:  cmake(KF5People)
%endif
Requires:       telepathy-kde-text-ui >= %{version}
Requires:       telepathy-kde-accounts-kcm = %{version}
Requires:       telepathy-kde-auth-handler = %{version}
Requires:       telepathy-kde-filetransfer-handler = %{version}
Requires:       telepathy-kde-approver = %{version}

%description
Telepathy contact list application.

%files -f %name.lang
%{_kf5_bindir}/ktp-contactlist
%{_kf5_datadir}/applications/org.kde.ktpcontactlist.desktop
%{_kf5_datadir}/dbus-1/services/org.kde.ktpcontactlist.service

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 23.04.3-1.mga9
+ Revision: 1982605
- New version 23.04.3

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958310
- New version 23.04.1

* Sat Apr 08 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1951744
- update runtime dependencies

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946622
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941677
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922794
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911292
- New version 22.11.90

* Tue Nov 15 2022 papoteur <papoteur> 22.08.3-2.mga9
+ Revision: 1907590
- rebuild because uplaod failed
+ neoclust <neoclust>
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886932
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880886
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873199
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854089
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849595
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763979
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724190
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718471
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698679
- New version 20.12.3
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694205
- New version 20.12.2
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655728
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644110
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633929
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627168
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615039
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604233
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596970
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584622
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568247
- New version 20.04.0

* Wed Mar 25 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559638
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540803
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513412
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467070
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458015
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446521
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425102
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390557
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387775
- New version 19.03.90

* Tue Apr 02 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1384992
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375786
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365680
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356617
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339622
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332852
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327505
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301368
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229172
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1202003
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195025
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186567
- New version 17.12.0
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1139199
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131437
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090189
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076931
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072121
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067438
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061502
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050765
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049459
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040168
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014301
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006723
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998050
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993237
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987660
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922723
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905448
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901184
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890677
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880477
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865995
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863643
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862235
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859975
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855306
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813748
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 742575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689800
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667404
- Update to 0.8.1
- add upstream patches from kde-telepathy-0.8 branch
- add BuildRequires kpeople-devel

* Sun Mar 16 2014 fwang <fwang> 0.8.0-2.mga5
+ Revision: 604214
- fix requires

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604113
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595820
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593150
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549309
- Update to 0.7.0

* Tue Oct 22 2013 umeabot <umeabot> 0.7-0.beta1.3.mga4
+ Revision: 541439
- Mageia 4 Mass Rebuild
+ mikala <mikala>
- Add a switch for kpeople BR

* Sat Oct 12 2013 mikala <mikala> 0.7-0.beta1.2.mga4
+ Revision: 495912
- Add kte-collaborative as suggest

* Wed Oct 09 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493875
- Add kpeople-devel as BR
- Update tarball to 0.6.80
+ fwang <fwang>
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429057
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407396
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402395
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399557
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332483
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306897
- Update tarball to 0.5.1

* Fri Aug 31 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 286011
- Update tarball to 0.5.0

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271800
- New version 0.4.0
+ mikala <mikala>
- Add a provide for telepathy-contact-list

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202931
- Update URL
- Add requires for jabber & suggests for others telepathy protocols here
- Update tarball to 0.3.0
- Remove tabs
- Remove useless provides

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173260
- Update tarball to 0.2.0
- Fix requires
- add missing requires for telepathy-mission-control ( mga #3494)
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111003.1.mga2
+ Revision: 152785
- Update git snapshot

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146697
- Update git snapshot
- requires now telepathy-text-ui (new name of telepathy-chat-handler)
- Update tarball
- Fix files list
- add conflicts to ease upgrade

* Sat Jun 25 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 113330
- Enhance requires

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 112915
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110414.1.mga1
+ Revision: 86590
- imported package telepathy-contact-list

